Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.picocontainer.injectors
Class AnnotatedFieldInjector

    java.lang.Object
      org.picocontainer.adapters.AbstractAdapter<T>
          org.picocontainer.injectors.AbstractInjector<T>
              org.picocontainer.injectors.IterativeInjector
                  org.picocontainer.injectors.AnnotatedFieldInjector

All Implemented Interfaces:
  Serializable, ComponentAdapter, ComponentMonitorStrategy, Injector, LifecycleStrategy

    public class AnnotatedFieldInjector

extends IterativeInjector

Injection happens after instantiation, and through fields marked as injection points via an Annotation. The default annotation of org.picocontainer.annotations.@Inject can be overridden.

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.picocontainer.injectors.AbstractInjector
`AbstractInjector.AmbiguousComponentResolutionException, AbstractInjector.CyclicDependencyException, AbstractInjector.NotConcreteRegistrationException, AbstractInjector.UnsatisfiableDependenciesException`

Nested classes/interfaces inherited from interface org.picocontainer.ComponentAdapter
`ComponentAdapter.NOTHING`

Field Summary

Fields inherited from class org.picocontainer.injectors.IterativeInjector
`bindings, injectionMembers, injectionTypes`

Fields inherited from class org.picocontainer.injectors.AbstractInjector
`lifecycleStrategy, parameters, verifyingGuard`

Constructor Summary
`AnnotatedFieldInjector(Object key, Class<?> impl, Parameter[] parameters, ComponentMonitor componentMonitor, LifecycleStrategy lifecycleStrategy, Class<? extends Annotation> injectionAnnotation, boolean useNames)`

Method Summary
`String` | `getDescriptor()` Get a string key descriptor of the component adapter.
`protected void` | `initializeInjectionMembersAndTypeLists()`
`protected Object` | `injectIntoMember(AccessibleObject member, Object componentInstance, Object toInject)`
`protected boolean` | `isAnnotatedForInjection(Field field)`
`protected NameBinding` | `makeParameterNameImpl(AccessibleObject member)`
`protected Object` | `memberInvocationReturn(Object lastReturn, AccessibleObject member, Object instance)`

Methods inherited from class org.picocontainer.injectors.IterativeInjector
`decorateComponentInstance, getComponentInstance, getConstructor, getParanamer, isInjectorMethod, unsatisfiedDependencies, verify`

Methods inherited from class org.picocontainer.injectors.AbstractInjector
`accept, box, caughtIllegalAccessException, caughtIllegalAccessException, caughtInstantiationException, caughtInvocationTargetException, createDefaultParameters, dispose, getComponentInstance, hasLifecycle, newInstance, start, stop, useNames`

Methods inherited from class org.picocontainer.adapters.AbstractAdapter
`changeMonitor, checkTypeCompatibility, currentMonitor, findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.picocontainer.ComponentAdapter
`findAdapterOfType, getComponentImplementation, getComponentKey, getDelegate`

Constructor Detail

### AnnotatedFieldInjector

    public AnnotatedFieldInjector(Object key,
                                  Class<?> impl,
                                  Parameter[] parameters,
                                  ComponentMonitor componentMonitor,
                                  LifecycleStrategy lifecycleStrategy,
                                  Class<? extends Annotation> injectionAnnotation,
                                  boolean useNames)

Method Detail

### initializeInjectionMembersAndTypeLists

    protected void initializeInjectionMembersAndTypeLists()

  Overrides:
    `initializeInjectionMembersAndTypeLists` in class `IterativeInjector`

### isAnnotatedForInjection

    protected boolean isAnnotatedForInjection(Field field)

### injectIntoMember

    protected Object injectIntoMember(AccessibleObject member,
                                      Object componentInstance,
                                      Object toInject)
                               throws IllegalAccessException,
                                      InvocationTargetException

  Specified by:
    `injectIntoMember` in class `IterativeInjector`
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

### getDescriptor

    public String getDescriptor()

  Description copied from interface: `ComponentAdapter`
  Get a string key descriptor of the component adapter.

  Specified by:
    `getDescriptor` in interface `ComponentAdapter`
  Overrides:
    `getDescriptor` in class `AbstractInjector`
  Returns:

### makeParameterNameImpl

    protected NameBinding makeParameterNameImpl(AccessibleObject member)

  Overrides:
    `makeParameterNameImpl` in class `IterativeInjector`

### memberInvocationReturn

    protected Object memberInvocationReturn(Object lastReturn,
                                            AccessibleObject member,
                                            Object instance)

  Specified by:
    `memberInvocationReturn` in class `IterativeInjector`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 Codehaus. All Rights Reserved.